DROP VIEW IF EXISTS suser_account_permission_v;

CREATE VIEW suser_account_permission_v AS 
 SELECT
        CASE
            WHEN sap.id IS NOT NULL THEN (sau.id || '.') || sap.id
            ELSE sau.id || '.null'
        END AS id,
    su.id AS suser,
    su.collected_entity,
    sa.id AS saccount,
    sp.id AS spermission,
    sau.sversion,
    sau.id AS saccount_user,
    sap.id AS saccount_permission,
    sap.value AS spermission_value,
        CASE
            WHEN sa.virtual IS NULL OR sa.virtual = false THEN sau.id
        END AS real_saccount_user
   FROM saccount_user sau
     JOIN saccount sa ON sa.collected_entity = sau.saccount AND sa.effective = true AND sa.deleted = false
     JOIN suser su ON su.collected_entity = sau.suser AND su.effective = true AND su.deleted = false
     LEFT JOIN saccount_permission sap ON sap.saccount = sau.saccount AND sap.effective = true
     LEFT JOIN spermission sp ON sp.collected_entity = sap.spermission AND sp.effective = true AND sp.deleted = false
  WHERE sau.effective = true;

ALTER TABLE suser_account_permission_v
  OWNER TO igops;
GRANT ALL ON TABLE suser_account_permission_v TO igops;
GRANT SELECT ON TABLE suser_account_permission_v TO ig_report_role;